xn::ModuleExportedProductionNode Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

| ModuleExportedProductionNode ()
virtual | ~ModuleExportedProductionNode ()
virtual void | GetDescription (XnProductionNodeDescription *pDescription)=0
virtual XnStatus | EnumerateProductionTrees (Context &context, NodeInfoList &TreesList, EnumerationErrors *pErrors)=0
virtual XnStatus | Create (Context &context, const XnChar *strInstanceName, const XnChar *strCreationInfo, NodeInfoList *pNeededTrees, const XnChar *strConfigurationDir, ModuleProductionNode **ppInstance)=0
virtual void | Destroy (ModuleProductionNode *pInstance)=0

## Constructor & Destructor Documentation

## ModuleExportedProductionNode()

xn::ModuleExportedProductionNode::ModuleExportedProductionNode | ( |  | ) |

inline

## ~ModuleExportedProductionNode()

virtual xn::ModuleExportedProductionNode::~ModuleExportedProductionNode | ( |  | ) |

inline virtual

## Member Function Documentation

## Create()

virtual XnStatus xn::ModuleExportedProductionNode::Create | ( | Context & | context,
|  | const XnChar * | strInstanceName,
|  | const XnChar * | strCreationInfo,
|  | NodeInfoList * | pNeededTrees,
|  | const XnChar * | strConfigurationDir,
|  | ModuleProductionNode ** | ppInstance )

pure virtual

## Destroy()

virtual void xn::ModuleExportedProductionNode::Destroy | ( | ModuleProductionNode * | pInstance | ) |

pure virtual

## EnumerateProductionTrees()

virtual XnStatus xn::ModuleExportedProductionNode::EnumerateProductionTrees | ( | Context & | context,
|  | NodeInfoList & | TreesList,
|  | EnumerationErrors * | pErrors )

pure virtual

## GetDescription()

virtual void xn::ModuleExportedProductionNode::GetDescription | ( | XnProductionNodeDescription * | pDescription | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h